ECHO OFF

IF NOT EXIST EASYMGR.U25 GOTO nou25
IF NOT EXIST EASYMGR.DEI GOTO nodei

IF NOT EXIST EASYMGR.U2X GOTO doit

COPY /Y EASYMGR.U2X EASYMGR.U30
GOTO info

:doit
COPY /Y EASYMGR.U25 EASYMGR.U2X
TYPE EASYMGR.DEI >> EASYMGR.U2X
COPY /Y EASYMGR.U2X EASYMGR.U30
GOTO info

:info

ECHO The following files have been created or saved:
ECHO EASYMGR.U25  - Your customization information when using v2.5 or v2.5.1
ECHO EASYMGR.U2X  - Your v2.5 customization + 3.0 updates (most of them)
ECHO EASYMGR.U30  - Same as EASYMGR.U2X
ECHO ***
ECHO You may run the following commands at the DOS prompt:
ECHO COPY EASYMGR.U25 EASYMGR.U30  - To go back to your old customizations
ECHO DEL EASYMGR.U30               - To use default 3.0 customizations
ECHO COPY EASYMGR.U2X EASYMGR.U30  - To use your customizations + 3.0 updates
ECHO ***
ECHO You are currently setup to use your customizations + 3.0 updates.
ECHO We recommend that you try the default 3.0 customizations.

GOTO end

:nou25
ECHO This installation is not an upgrade from version 2.5 or version 2.5.1.
ECHO Update request ignored.
GOTO end

:nodei
ECHO Internal error. Could not find file easymgr.dei. Please reinstall
ECHO and run EZUPDATE again.
GOTO end

:end
ECHO Thank you for using EasyManager.
